aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorYann Herklotz <git@yannherklotz.com>2021-06-25 12:08:47 +0200
committerYann Herklotz <git@yannherklotz.com>2021-06-25 12:08:47 +0200
commitae0f8943268c42b1985f3b8a0c5bcf2102ed3a87 (patch)
treeeb93f8e5837eca7375b76c71748d5809a435d8c2 /bin
downloadzk-visual-ae0f8943268c42b1985f3b8a0c5bcf2102ed3a87.tar.gz
zk-visual-ae0f8943268c42b1985f3b8a0c5bcf2102ed3a87.zip
Add initial files
Diffstat (limited to 'bin')
-rwxr-xr-xbin/format6
-rwxr-xr-xbin/run8
-rwxr-xr-xbin/run-via-tmux4
3 files changed, 18 insertions, 0 deletions
diff --git a/bin/format b/bin/format
new file mode 100755
index 0000000..f61a3f1
--- /dev/null
+++ b/bin/format
@@ -0,0 +1,6 @@
+#!/usr/bin/env nix-shell
+#! nix-shell ../shell.nix -i bash
+set -xe
+find src -name \*.hs | xargs ormolu -m inplace
+nixpkgs-fmt *.nix
+cabal-fmt -i *.cabal \ No newline at end of file
diff --git a/bin/run b/bin/run
new file mode 100755
index 0000000..f28011c
--- /dev/null
+++ b/bin/run
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -xe
+
+# This will run ghcid, which uses `./.ghcid` to invoke your program main entry
+# point, with the specified args.
+#
+# If you change ./.ghcid, ghcid will automatically reload.
+exec nix develop -c ghcid
diff --git a/bin/run-via-tmux b/bin/run-via-tmux
new file mode 100755
index 0000000..494763a
--- /dev/null
+++ b/bin/run-via-tmux
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+set -xe
+PROJECT=$(basename `pwd`)
+tmux new-session -A -s $PROJECT bin/run